// pages/user/myworks/myworks.js
import APIClient from '../../../utils/APIClient.js'
import { formatDate } from '../../../utils/util.js'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    wareCards: [
      {
        title: "古诗词诵读（一）江南",
        grade: "一年级(上学期)",
        avatarUrl: '../../../static/image/timg.jpg',
        previewUrl: "../../../static/image/timg.jpg",
        plays: "17230",
        likes: "71230",
        classId: "1",
        avatar: '../../static/image/timg.jpg',
        nickName: '喔喔',
        time: '10-18 09:56'
      },
      {
        title: "古诗词诵读（一）江南",
        grade: "一年级(上学期)",
        avatarUrl: '../../../static/image/timg.jpg',
        previewUrl: "../../../static/image/timg.jpg",
        plays: "17230",
        likes: "71230",
        classId: "2",
        avatar: '../../static/image/timg.jpg',
        nickName: '喔喔',
        time: '10-18 09:56'
      },
      {
        title: "古诗词诵读（一）江南",
        grade: "一年级(上学期)",
        avatarUrl: '../../../static/image/timg.jpg',
        previewUrl: "../../../static/image/timg.jpg",
        plays: "17230",
        likes: "71230",
        classId: "3",
        avatar: '../../static/image/timg.jpg',
        nickName: '喔喔',
        time: '10-18 09:56'
      },
      {
        title: "古诗词诵读（一）江南",
        grade: "一年级(上学期)",
        avatarUrl: '../../../static/image/timg.jpg',
        previewUrl: "../../../static/image/timg.jpg",
        plays: "17230",
        likes: "71230",
        classId: "4",
        avatar: '../../static/image/timg.jpg',
        nickName: '喔喔',
        time: '10-18 09:56'
      },
      {
        title: "古诗词诵读（一）江南",
        grade: "一年级(上学期)",
        avatarUrl: '../../../static/image/timg.jpg',
        previewUrl: "../../../static/image/timg.jpg",
        plays: "17230",
        likes: "71230",
        classId: "5",
        avatar: '../../static/image/timg.jpg',
        nickName: '喔喔',
        time: '10-18 09:56'
      },
      {
        title: "古诗词诵读（一）江南",
        grade: "一年级(上学期)",
        avatarUrl: '../../../static/image/timg.jpg',
        previewUrl: "../../../static/image/timg.jpg",
        plays: "17230",
        likes: "71230",
        classId: "6",
        avatar: '../../static/image/timg.jpg',
        nickName: '喔喔',
        time: '10-18 09:56'
      }
    ],
    pageNo: 1,
    totalNo: 0,
    uid: ''
  },
  toMyWorks: function(e){
    let id = e.currentTarget.dataset.id;
    let title = e.currentTarget.dataset.title;
    wx.navigateTo({
      url: `../../social/works/works?id=${id}&title=${title}`
    });
  },
  getResults(){
    let pageNo = this.data.pageNo;
    let pageSize = 3;
    let uid = this.data.uid;
    console.log('用户身份',uid);
    APIClient.userWorks(uid, pageNo, pageSize).success(res => {
      // debugger;
      this.setData({
        wareCards: res.data.data.list
      });
    }).fail(err => {
      console.log(err);
    });
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      uid: options.uid
    },() => {
      console.log(options.uid);
    });
    this.getResults();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    this.setData({
      pageNo: this.data.pageNo + 1
    })
    if (this.data.pageNo <= this.data.totalNo) {
      this.getResults();
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})